/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.schedule.dto;

import jp.mosp.common.common.BaseDto;

/**
 * CM_ROTATION(輪番パターンマスタ)のDTOクラス。
 */
public class CmRotationDto extends BaseDto {
	
	private static final long	serialVersionUID	= -1185154600441781616L;
	
	// フィールド
	private String				kcode				= "";
	private String				rtcode				= "";
	private String				rtname				= "";
	private int					holidayflag			= 0;
	private String				day1				= "";
	private String				day2				= "";
	private String				day3				= "";
	private String				day4				= "";
	private String				day5				= "";
	private String				day6				= "";
	private String				day7				= "";
	private String				day8				= "";
	private String				day9				= "";
	private String				day10				= "";
	private int					deleteflag			= 0;
	

	/**
	 * コンストラクタ
	 */
	public CmRotationDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return rtcode 	輪番パターンコード。
	 */
	public String getRtCode() {
		return rtcode;
	}
	
	/**
	 * @return rtname 	輪番パターン名称。
	 */
	public String getRtName() {
		return rtname;
	}
	
	/**
	 * @return holidayflag 	祝祭日フラグ。
	 */
	public int getHolidayFlag() {
		return holidayflag;
	}
	
	/**
	 * @return day1 	1日目。
	 */
	public String getDay1() {
		return day1;
	}
	
	/**
	 * @return day2 	2日目。
	 */
	public String getDay2() {
		return day2;
	}
	
	/**
	 * @return day3 	3日目。
	 */
	public String getDay3() {
		return day3;
	}
	
	/**
	 * @return day4 	4日目。
	 */
	public String getDay4() {
		return day4;
	}
	
	/**
	 * @return day5 	5日目。
	 */
	public String getDay5() {
		return day5;
	}
	
	/**
	 * @return day6 	6日目。
	 */
	public String getDay6() {
		return day6;
	}
	
	/**
	 * @return day7 	7日目。
	 */
	public String getDay7() {
		return day7;
	}
	
	/**
	 * @return day8 	8日目。
	 */
	public String getDay8() {
		return day8;
	}
	
	/**
	 * @return day9 	9日目。
	 */
	public String getDay9() {
		return day9;
	}
	
	/**
	 * @return day10 	10日目。
	 */
	public String getDay10() {
		return day10;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param rtcode 	セットする輪番パターンコード。
	 */
	public void setRtCode(String rtcode) {
		this.rtcode = rtcode;
	}
	
	/**
	 * @param rtname 	セットする輪番パターン名称。
	 */
	public void setRtName(String rtname) {
		this.rtname = rtname;
	}
	
	/**
	 * @param holidayflag 	セットする祝祭日フラグ。
	 */
	public void setHolidayFlag(int holidayflag) {
		this.holidayflag = holidayflag;
	}
	
	/**
	 * @param day1 	セットする1日目。
	 */
	public void setDay1(String day1) {
		this.day1 = day1;
	}
	
	/**
	 * @param day2 	セットする2日目。
	 */
	public void setDay2(String day2) {
		this.day2 = day2;
	}
	
	/**
	 * @param day3 	セットする3日目。
	 */
	public void setDay3(String day3) {
		this.day3 = day3;
	}
	
	/**
	 * @param day4 	セットする4日目。
	 */
	public void setDay4(String day4) {
		this.day4 = day4;
	}
	
	/**
	 * @param day5 	セットする5日目。
	 */
	public void setDay5(String day5) {
		this.day5 = day5;
	}
	
	/**
	 * @param day6 	セットする6日目。
	 */
	public void setDay6(String day6) {
		this.day6 = day6;
	}
	
	/**
	 * @param day7 	セットする7日目。
	 */
	public void setDay7(String day7) {
		this.day7 = day7;
	}
	
	/**
	 * @param day8 	セットする8日目。
	 */
	public void setDay8(String day8) {
		this.day8 = day8;
	}
	
	/**
	 * @param day9 	セットする9日目。
	 */
	public void setDay9(String day9) {
		this.day9 = day9;
	}
	
	/**
	 * @param day10 	セットする10日目。
	 */
	public void setDay10(String day10) {
		this.day10 = day10;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
